Хостинг серверов Minecraft playvds.com
  1. Этот сайт использует файлы cookie. Продолжая пользоваться данным сайтом, Вы соглашаетесь на использование нами Ваших файлов cookie. Узнать больше.
  2. Вы находитесь в русском сообществе Bukkit. Мы - администраторы серверов Minecraft, разрабатываем собственные плагины и переводим на русский язык плагины наших собратьев из других стран.

Вышел Spigot для Minecraft 1.9. Перевод официального анонса

Тема в разделе "Официальные новости Bukkit", создана пользователем fromgate, 1 мар 2016.

  1. Автор темы
    fromgate

    fromgate Старожил Пользователь

    Баллы:
    173
    Имя в Minecraft:
    fromgate
    Вышел Spigot для Minecraft 1.9. Перевод официального анонса

    Доброго утра всем!

    Сегодня я рад сообщите о выходе SpigotMC для Minecraft 1.9. После восьми месяцев, после сотен часов работы, мы собрали то что вы видите сегодня. Поэтому я прошу задержаться на минутку, чтобы прочитать и оценить этот пост прежде чем перепрыгивать к обновлению.



    BungeeCord

    Все выпуски BungeeCord выпущенные после этого сообщения будут включать в себя поддержку версий 1.8 и 1.9, как для сервера так и для клиента. Поддержка версии 1.7 прекращена.

    Чтобы упростить распространение по сети реализована поддержки как 1.8 так и 1.9 клиентов, а настройку введена опция «приоритеты» — «priorites». Если клиент не может присоединиться к указанному серверу, Bungee попробует следующий сервер.

    Например, вы настроили сервер 1.9 как первый по приоритету, а 1.8 — вторым. Тогда игроки и с тем и другим клиентом смогут успешно присоединяться к вашей сети.

    Эту версию BungeeCord можно считать бетой. Тестирование уже проведено, однако мы опасаемся небольших проблем с клиентами 1.9.

    Bukkit

    Выход Bukkit API вобщем-то уже состоялся, так что вряд ли тут будет какая-то неожиданная информация. Главные изменения, которые повлияют на плагины, это переработанный перечень звуковых эффектов (Sound enum). Это коснётся всех плагинов, которые использовали эту часть API.

    Также много изменений, покрывающих особенности функционала 1.9. Но если вы считаете, что чего-то не хватает, то просто реализуйте это и отправьте нам пулл-реквест. Являясь опенсорсным проектом, мы очень зависим от кода, предлагаемого всеми, кто может это делать. Так что приглашаем всех разработчиков, работающих с серверами майнкрафт, поучаствовать и помочь нам сделать ПО лучше. У нас есть IRC-канал #spigot-dev для помощи и мозговых штурмов.

    API 1.9 пока нельзя считать окончательным, но вряд ли оно будет меняться.

    CraftBukkit

    Главное изменение CraftBukkit — это удаление поддержки устаревших <1.7 методов API. Если у Вас есть плагин со времён 1.6 или раньше, который использует эти методы (читай: getOnlinePlayers () — получение массива), то он потребует обновления. Если обновление плагина невозможно, то мы предоставляем инструмент для реализации поддержки совместимости: просто запустите следующую команду в вашей директории BuildTools:

    Код (Text):
    1. java -jar BuildData/bin/SpecialSource-2.jar map -m CraftBukkit/deprecation-mappings.csrg -i MyPlugin.jar -o MyPlugin-fixed.jar
    Думаю, нам не стоит напоминать разработчикам, что обфусцированные NMS-классы могут изменяться в любое время и без предупреждений. Поэтому, если по каким-то причинам, Вы используете эти не поддерживаемые классы, то мы советуем: лучше вместо того, чтобы обращаться к ним помогите нам реализовать необходимые методы API, чтобы в дальнейшем избежать проблем при обновлении и возможных проблем по части лицензий.

    Spigot

    Был удалён Anti-xray. Технически причина заключается в том, что мы не видим способа реализовать это без значительного урона производительности. Если кто-то сможет решить эту задачу и минимизировать нагрузку, то он может быть восстановлен.

    Ну и тут, понятно, надо напомнить, что единственно правильный способ получить Spigot — это создать его при помощи BuildTools. Не обращайтесь за помощью на форумы или IRC, если вы получили jar-файл как-то иначе.

    Где взять

    Всё ПО расположено там же где и обычно. Чтобы получить CraftBukkit и Spigot версии 1.9, вам надо будет скачать обновленную копию BuildTools и запустить её с аргументом --rev 1.9:

    Код (Text):
    1. java -jar BuildTools.jar --rev1.9
    Пожалуйста, обращайтесь за помощью в чат, если у Вас возникнут сложности с этим.
    Заключение

    CraftBukkit и Spigot проходили интенсивное тестирование несколько месяцев на play.spigotmc.org. Их следует рассматривать как менее стабильные, по сравнению с текущими вариантами 1.9.

    Кстати, не надоедайте авторам плагинов, чтобы они обновили их до 1.9 или тем, что вы «ждёте обновления». Подавляющее большинство плагинов не требует обновления и будет работать. Просто попробуйте их сначала, прежде чем тратить впустую чужое время!

    Наслаждайтесь,
    ~Команда Spigot

    PS: Спасибо всем, кто внёс вклад в этот релиз — вы знаете кто вы, он не был бы возможен без вас.

    Оригинальная статья (на английском)
     
    Последнее редактирование: 1 мар 2016
  2. Mr Hosting
  3. Alexgrist

    Alexgrist Старожил Пользователь

    Баллы:
    173
    Skype:
    alexgrist.mine
    Спасибо за перевод! :good:
     
  4. Serrrgio

    Serrrgio Старожил Пользователь

    Баллы:
    173
    Skype:
    nonecsa
    Имя в Minecraft:
    None
    c Anti-xray как-то не хорошо получилось, нельзя было его выключить по дефолту? зачем удалять?
     
  5. Автор темы
    fromgate

    fromgate Старожил Пользователь

    Баллы:
    173
    Имя в Minecraft:
    fromgate
    А он в виде отдельного плагина разве не существует? Просто отдали какой-то функционал снова плагинам.
     
  6. _MineDest_

    _MineDest_ Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    MineDest
    Когда Essantials, WG обещают выпустить?А то на 1.9 сервер переполненый...
     
  7. Alexgrist

    Alexgrist Старожил Пользователь

    Баллы:
    173
    Skype:
    alexgrist.mine
    Ессентиалса магазин на табличках не работает. WG норм вроде.
     
  8. Автор темы
    fromgate

    fromgate Старожил Пользователь

    Баллы:
    173
    Имя в Minecraft:
    fromgate
    У WG/WE не будет поддержки NBT-тегов. Это у него давно так. Т.е. почти всё работать будет, но при копировании/вставке специфичных блоков что-то может пропадать.
     
  9. _MineDest_

    _MineDest_ Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    MineDest
    Нашёл решение уже.)
     
  10. _Timoxa_

    _Timoxa_ Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    T1MOX4
    Держите новый спигот кому нужно.
    ------------------------------------------------------------------------
    Обновил ядро 03.03.2016 (15:15 МСК)
    Добавил крафтбаккит
    CraftBukkit
    SPIGOT
     
    Последнее редактирование: 3 мар 2016
  11. Автор темы
    fromgate

    fromgate Старожил Пользователь

    Баллы:
    173
    Имя в Minecraft:
    fromgate
    Лучше один раз разобраться с BuildTools. Тем более, что разработчики в твиттере просили обновляться очень часто - слишком много ошибок находят.
     
  12. _Timoxa_

    _Timoxa_ Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    T1MOX4
    Сам только прошарил как юзать BuildTools.
    До этого на руведре искал
    --- Сообщения объединены: 2 мар 2016, предыдущее сообщение: 2 мар 2016 ---
    Постараюсь обновлять, вдруг кому-то пригодится)
     
  13. _MineDest_

    _MineDest_ Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    MineDest
    Первую уже нашёл)
     
  14. NINJA

    NINJA Старожил Пользователь

    Баллы:
    123
    Skype:
    niofatum
    Имя в Minecraft:
    Niofatum
    Осталось только обновить плагины до 1.9 :coffee: . С BuildTools разобраться можно. Но все же раньше было удобнее.
     
  15. stars

    stars Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    _stars_
    Подскажите пожалуйста, сервера на 1.7 уже можно называть динозаврами? :D
     
  16. _MineDest_

    _MineDest_ Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    MineDest
    Я уже всё сделал для своего сервера на 1.9
     
  17. VolanDeVovan

    VolanDeVovan Активный участник Пользователь

    Баллы:
    66
    Уже даже LilyPad обновили!
     
  18. _Timoxa_

    _Timoxa_ Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    T1MOX4
    Обновил ядра.
     
  19. ScoutRUS

    ScoutRUS Активный участник Пользователь

    Баллы:
    78
    Имя в Minecraft:
    ScoutRUS
    Ждём обновления плагинов на 1.9 :D
     
  20. _MineDest_

    _MineDest_ Активный участник Пользователь

    Баллы:
    76
    Имя в Minecraft:
    MineDest
    Я лично жду обновление для AuthMe и Essentials , остальное у меня есть.
     
  21. slavik123123123

    slavik123123123 Старожил Пользователь

    Баллы:
    143
    Имя в Minecraft:
    Leymooooooooooo
    уже обновились, искать лучше надо
     

Поделиться этой страницей